// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  modules: [
    "@nuxtjs/tailwindcss",
    "@vueuse/nuxt",
    "nuxt-icon",
    "nuxt-icons",
    "@nuxtjs/robots",
    "@nuxtjs/i18n",
  ],
  i18n: {
    baseUrl: 'https://xeovalyte.com',
    locales: [
      { code: 'en', iso: 'en-US', isCatchallLocale: true },
      { code: 'nl', iso: 'nl-NL'},
    ],
    defaultLocale: 'en',
    detectBrowserLanguage: {
      useCookie: true,
      cookieKey: 'i18n_redirected',
      redirectOn: 'root',
    }
  },
});
